%define anolis_release 1

Summary: Text file format converters
Name: dos2unix
Version: 7.5.2
Release: %{anolis_release}%{?dist}
License: BSD-3-Clause
URL: https://waterlan.home.xs4all.nl/dos2unix.html
Source: https://waterlan.home.xs4all.nl/dos2unix/%{name}-%{version}.tar.gz
BuildRequires: gcc
BuildRequires: gettext
# perl modules, required for tests
BuildRequires: perl-Test-Harness perl-Test-Simple
BuildRequires: make
Provides: unix2dos = %{version}-%{release}
Obsoletes: unix2dos < 5.1

%description
Convert text files with DOS or Mac line endings to Unix line endings and 
vice versa.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
Doc files for %{name}

%prep
%setup -q

%build
%make_build LDFLAGS="%{build_ldflags}"

%install
%make_install

# We add doc files manually to %%doc
rm -rf $RPM_BUILD_ROOT%{_docdir}

%find_lang %{name} --with-man --all-name

%generate_compatibility_deps

%check
make test

%files -f %{name}.lang
%license COPYING.txt
%doc man/man1/dos2unix.htm 
%{_bindir}/dos2unix
%{_bindir}/mac2unix
%{_bindir}/unix2dos
%{_bindir}/unix2mac
%{_mandir}/man1/*.1*
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc NEWS.txt README.txt TODO.txt ChangeLog.txt

%changelog
* Thu Feb 27 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 7.5.2-1
- Update to 7.5.2 from 7.5.0

* Sun May 21 2023 Funda Wang <fundawang@yeah.net> - 7.5.0-1
- New version 7.5.0

* Thu Mar 16 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 7.4.4-1
- init from upstream
